%define BUILD_CBCP_DEBUG 0

Name: ppp
Version: 2.4.1
Release: alt8

Summary: The PPP daemon and documentation for Linux 2.2.xx and greater
License: distributable
Group: System/Servers
Url: http://www.samba.org/ppp

Source0: %name-%version.tar.bz2
Source1: %name-2.4.1-sample.tar
Source2: %name.pamd

Patch0: %name-2.4.1-make.patch
Patch1: %name-2.3.9-wtmp.patch
Patch2: %name-2.3.10-pam.patch
Patch3: %name-2.3.11-sample.patch
Patch4: %name-2.4.0-reap.patch
Patch5: %name-2.4.1-scripts-callback.patch
Patch6: %name-2.3.11-noresolv.patch
Patch7: %name-2.4.1-cbcp.patch.bz2
Patch8: %name-2.4.1-openssl-0.9.6-mppe.asp.patch.bz2
Patch9: %name-2.4.1-lock.patch
Patch10: %name-2.4.1-portslave.asp.patch
Patch11: %name-2.4.1-warnings.patch

PreReq: /var/lock/serial
Obsoletes: ppp-cbcp, ppp-mppe

# Automatically added by buildreq on Fri Jul 06 2001
BuildRequires: glib-devel gtk+-devel libpam-devel XFree86-devel

%package getpass
Summary: pppgetpass program for the PPP daemon from contrib
Group: System/Servers
Requires: %name = %version-%release

%description getpass
The %name package contains the pppgetpass program from ppp contrib.

%package extra
Summary: Extra documentation and examples for the PPP daemon
Group: System/Servers
Requires: %name = %version-%release

%package devel
Summary: Header files needed for some pppd plugins
Group: Development/C
Requires: %name = %version-%release

%description
The %name package contains the PPP (Point-to-Point Protocol) daemon
and documentation for PPP support.  The PPP protocol provides a
method for transmitting datagrams over serial point-to-point links.

The %name package should be installed if your machine need to support
the PPP protocol.

%description extra
The %name package contains extra documentation and examples for PPP support.

%description devel
Header files needed for some pppd plugins.

%prep
%setup -q -a1
%patch0 -p1
# patch 1 depends on the -lutil in patch 0
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

find -type f -name \*.orig -print0 |xargs -r0 rm -f

%build

# We build CBCP included in ppp
%add_optflags -DCBCP_SUPPORT

# We build pppd with MPPE support
%add_optflags -DMPPE
# You may add here -DDYNAMIC if needed

# And if we build CBCP with patch we use debug
%if %BUILD_CBCP_DEBUG
%add_optflags -DDEBUG_CBCP
%endif

./configure
%make_build
%make_build LDFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" -C contrib/pppgetpass -f Makefile.linux

%install
mkdir -p $RPM_BUILD_ROOT{%_sysconfdir/%name/peers,%_datadir/%name}

%make_install install DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%_mandir

cp -a scripts sample $RPM_BUILD_ROOT%_datadir/%name
for f in `find $RPM_BUILD_ROOT%_datadir/%name -type f`; do
	chmod 644 "$f"
	if fgrep -qs /usr/local/bin/ "$f"; then
		perl -pi -e 's|/usr/local/bin|%_bindir|g' "$f"
	fi
	if file "$f" |fgrep -q "shell script"; then
		chmod a+x "$f"
	fi
done

install -p -m640 -D %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/pam.d/%name

mkdir -p $RPM_BUILD_ROOT%_bindir
install -m0755 contrib/pppgetpass/pppgetpass.sh $RPM_BUILD_ROOT%_bindir
install -m4755 contrib/pppgetpass/pppgetpass.vt $RPM_BUILD_ROOT%_bindir
install -m0755 contrib/pppgetpass/pppgetpass.gtk $RPM_BUILD_ROOT%_bindir
install -m0644 contrib/pppgetpass/pppgetpass.8 $RPM_BUILD_ROOT%_mandir/man8
install -m0600 etc.ppp/callback-* $RPM_BUILD_ROOT%_sysconfdir/%name

mkdir -p $RPM_BUILD_ROOT%_includedir/pppd
install -m0644 pppd/*.h $RPM_BUILD_ROOT%_includedir/pppd

%files
%attr(755,root,root) %_sbindir/*
%attr(755,root,root) %dir %_sysconfdir/%name
%attr(700,root,root) %dir %_sysconfdir/%name/peers
%attr(600,root,root) %config(noreplace) %_sysconfdir/%name/*-secrets
%attr(750,root,root) %config(noreplace) %_sysconfdir/%name/callback-*
%attr(644,root,root) %config(noreplace) %_sysconfdir/%name/options
%config(noreplace) %_sysconfdir/pam.d/%name
%_mandir/man8/chat*
%_mandir/man8/pppd*
%_mandir/man8/pppstats*
%doc README README.linux PLUGINS SETUP FAQ README.MPPE README.MSCHAP80 README.cbcp
%files extra
%_datadir/%name

%files getpass
%_bindir/*
%_mandir/man8/pppgetpass*

%files devel
%_includedir/pppd

%changelog
* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt8
- Rebuilt in new environment
- Changed pppd URL
- Changed version string
- Added devel package - it contains headers from pppd

* Tue May 22 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt7
- Removed requires to glibc & pam & kernel - now it's bad requires...

* Mon Jan 21 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt6
- Fixed permissions on %_sysconfdir/%name/callback-* - now it's 750.
- Fixed patch5 - atdt->atdp

* Wed Jan 16 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt5
- Removed MPPE & CBCP builddefs - now these features compiled in standart
  CBCP package
- Added some patches from ASP Linux

* Tue Oct 16 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt4
- Changes to new /var/lock/serial scheme

* Fri Aug 03 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt3.2
- Added MPPE support

* Thu Aug 02 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt3.1
- Some fixes to CBCP patch
- Added DEBUG_CBCP define
- Fixed spec file

* Wed Jul 04 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt3
- Fixed CBCP debug messages
- Added option to BUILD_CBCP
- Placed CBCP configs in right place
- Updated CBCP from Bolke de Bruin release
- Added noresolv patch
- Some spec cleanup
- Added pppgetpass program from contrib

* Thu Jun 14 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt2
- Fixed CBCP_SUPPORT in Makefile

* Mon May 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt1
- Updated 2 new version
- Fixed cbcp compiling

* Fri Oct 13 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.0-ipl2mdk
- Updated pam configuration.

* Wed Aug  8 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.0-ipl1mdk
- Updated to 2.4.0.

* Thu Jul 13 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.0b2-ipl1mdk
- Updated to 2.4.0b2.
- Patched samples to avoid unnecessary dependencies.
- Added zlib patch from James Carlson <james.d.carlson@east.sun.com>
  (see ftp://playground.sun.com/pub/carlsonj/zlib-bug.notes for details).
- Moved scripts and samples to separate package to split dependencies.

* Mon Apr 03 2000 Dmitry V. Levin <ldv@fandra.org>
- Added: noresolvconf option support.

* Thu Mar 09 2000 Dmitry V. Levin <ldv@fandra.org>
- Fixed check for pam_open_session result code
  (by Leon Kanter <leon@blackcatlinux.com>).
- Merge with Mandrake.

* Sun Jan 02 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.3.11

* Thu Nov 11 1999 Dmitry V. Levin <ldv@fandra.org>
- Merge with RH.

* Sun Oct 17 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions.

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix %%post ??

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix %%post

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- -DCHAPMS
- -DUSE_PAM

* Tue Sep  7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Add /dev/ppp
- Add entries in /etc/conf.modules if they aren't there yet

* Wed Aug 25 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.3.9 (required for kernel 2.3.14+)

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removing unused stuff.
- Upgrade patch.
- 2.3.8.

* Fri Jul 10 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Define the .pid to /var/run/
- Glare @Chmouel

* Fri Jul 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Define the .pid to /var/run not to /etc/ (reported by Nikodemus Karlsson
  <nickek@algonet.se>).

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- force pppd use the glibc's logwtmp instead of implementing its own

* Wed Apr 01 1999 Preston Brown <pbrown@redhat.com>
- version 2.3.7 bugfix release

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 2.3.6

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- auth patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Jun  5 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.3.5.

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May  8 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make it run with kernels 2.1.100 and above.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 18 1998 Cristian Gafton <gafton@redhat.com>
- requires glibc 2.0.6 or later

* Wed Mar 18 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated PAM patch to not turn off wtmp/utmp/syslog logging.

* Wed Jan  7 1998 Cristian Gafton <gafton@redhat.com>
- added the /etc/pam.d config file
- updated PAM patch to include session support

* Tue Jan  6 1998 Cristian Gafton <gafton@redhat.com>
- updated to %name-2.3.3, build against glibc-2.0.6 - previous patches not
  required any more.
- added buildroot
- fixed the PAM support, which was really, completely broken and against any
  standards (session support is still not here... :-( )
- we build against running kernel and pray that it will work
- added a samples patch; updated glibc patch

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- added a patch to use our own route.h, rather then glibc's (which has
  alignment problems on Alpha's) -- I only applied this patch on the Alpha,
  though it should be safe everywhere

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- turned off the execute bit for scripts in %prefix/doc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Integrated new patch from David Mosberger
- Improved description
